# RakNet::LobbyServer Class Reference

`#include <LobbyServer.h>`

Inheritance diagram for RakNet::LobbyServer:

List of all members.

## Public Member Functions

void | SetOrderingChannel (char oc)
| Ordering channel to use with RakPeer::Send().

## Protected Member Functions

virtual void | OnAttach (RakPeerInterface *peer)
PluginReceiveResult | OnReceive (RakPeerInterface *peer, Packet *packet)
virtual void | OnCloseConnection (RakPeerInterface *peer, SystemAddress systemAddress)
virtual void | OnShutdown (RakPeerInterface *peer)
virtual void | Update (RakPeerInterface *peer)

## Detailed Description

Implements the basis for the lobby server for RakNet, independent of any kind of database. Features include user to user interaction, chatting, rooms, and quick match. Just attach as a plugin and go. If you want to interact with the implemented PostgreSQL database, such as adding users or titles, see LobbyServerPostgreSQL

## Member Function Documentation

void LobbyServer::OnAttach | ( | RakPeerInterface * | peer | ) | `[protected, virtual]`

Called when the interface is attached

Parameters:

  `[in]` | peer | the instance of RakPeer that is calling Receive

Reimplemented from PluginInterface.

PluginReceiveResult LobbyServer::OnReceive | ( | RakPeerInterface * | peer,
|  | Packet * | packet |
| ) |  |  | `[protected, virtual]`

OnReceive is called for every packet.

Parameters:

  `[in]` | peer | the instance of RakPeer that is calling Receive
  `[in]` | packet | the packet that is being returned to the user

Returns:
  True to allow the game and other plugins to get this message, false to absorb it

Reimplemented from PluginInterface.

void LobbyServer::OnCloseConnection | ( | RakPeerInterface * | peer,
|  | SystemAddress | systemAddress |
| ) |  |  | `[protected, virtual]`

Called when a connection is dropped because the user called RakPeer::CloseConnection() for a particular system

Parameters:

  `[in]` | peer | the instance of RakPeer that is calling Receive
  `[in]` | systemAddress | The system whose connection was closed

Reimplemented from PluginInterface.

void LobbyServer::OnShutdown | ( | RakPeerInterface * | peer | ) | `[protected, virtual]`

Called when RakPeer is shutdown

Parameters:

  `[in]` | peer | the instance of RakPeer that is calling Receive

Reimplemented from PluginInterface.

void LobbyServer::Update | ( | RakPeerInterface * | peer | ) | `[protected, virtual]`

Update is called every time a packet is checked for .

Parameters:

  `[in]` | peer | - the instance of RakPeer that is calling Receive

Reimplemented from PluginInterface.

Reimplemented in RakNet::LobbyServerPostgreSQL.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyServer.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyServer.cpp